ubuntu-cloud options parsing bugs

Bug #1076031 reported by Serge Hallyn on 2012-11-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxc (Ubuntu)
High
Serge Hallyn
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Serge Hallyn

Bug Description

===================
SRU Justification:
1. Impact: the ubuntu-cloud template mis-handles some arguments.
2. Development fix: fix the getopt argument handling
3. Stable fix: same as development fix
4. Test case:
   sudo lxc-create -t ubuntu-cloud -n delme -- -L -a i386
   file /var/lib/lxc/delme/rootfs/bin/bash
   # you'll see it is a amd64 binary, not i386
5. Regression potential: if done wrong, argument parsing in
   the ubuntu-cloud template could be made wrong in more ways
   than it already is. Damage would be confined to ubuntu-cloud
   containers
===================

These are tiny bugs which should be fixed on the next upload:

1. the 'u:' is missing in getopt statement to match '--userdata'
2. The case statement for '-L|--no_locales' does a 'shift 2' but should shift 1.

Changed in lxc (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Changed in lxc (Ubuntu Raring):
status: New → Triaged
importance: Undecided → High
Changed in lxc (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
Changed in lxc (Ubuntu Raring):
assignee: nobody → Serge Hallyn (serge-hallyn)
tags: added: needssru
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.8.0~rc1-4ubuntu44

---------------
lxc (0.8.0~rc1-4ubuntu44) raring; urgency=low

  [ Scott Moser ]
  * 0225-ubuntu-cloud-numeric-owner: use --numeric-owner when extracting root
    filesystems with tar (LP: #1066084)

  [ Serge Hallyn ]
  * Remove 0224-ubuntu-templates-devtmpfs (LP: #1070914)
  * 0226-add-lxc-autodev: implement automatic mount and populate of /dev.
  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)
 -- Serge Hallyn <email address hidden> Mon, 26 Nov 2012 10:11:00 -0600

Changed in lxc (Ubuntu Raring):
status: Triaged → Fix Released
Changed in lxc (Ubuntu Quantal):
assignee: nobody → Serge Hallyn (serge-hallyn)
status: Triaged → In Progress
Changed in lxc (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → Serge Hallyn (serge-hallyn)
description: updated
Changed in lxc (Ubuntu Precise):
assignee: Serge Hallyn (serge-hallyn) → nobody
Changed in lxc (Ubuntu Quantal):
assignee: Serge Hallyn (serge-hallyn) → nobody

Hello Serge, or anyone else affected,

Accepted lxc into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lxc/0.8.0~rc1-4ubuntu39 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lxc (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in lxc (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Serge, or anyone else affected,

Accepted lxc into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lxc/0.7.5-3ubuntu66 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Serge Hallyn (serge-hallyn) wrote :

Confirmed in precise.

Serge Hallyn (serge-hallyn) wrote :

Confirmed in quantal.

tags: added: verification-done
removed: needssru verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.7.5-3ubuntu66

---------------
lxc (0.7.5-3ubuntu66) precise-proposed; urgency=low

  [ William Grant ]
  * lxc-start-ephemeral: exit with the command's status, not always 0.
    (LP: #1050351)

  [ Serge Hallyn ]
  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)
  * 0229-lxc-clone-mount-fix: fix wrong handling of lxc.mount entries in
    lxc-clone. (LP: #1084089)
 -- Serge Hallyn <email address hidden> Thu, 29 Nov 2012 12:43:44 -0600

Changed in lxc (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.8.0~rc1-4ubuntu39

---------------
lxc (0.8.0~rc1-4ubuntu39) quantal-proposed; urgency=low

  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)
  * 0229-lxc-clone-mount-fix: fix wrong handling of lxc.mount entries in
    lxc-clone. (LP: #1084089)
 -- Serge Hallyn <email address hidden> Thu, 29 Nov 2012 12:45:19 -0600

Changed in lxc (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers